.\" $XdotOrg: $
.\" 
.\" Copyright \(co Digital Equipment Corporation, 1996
.\" 
.\" Permission to use, copy, modify, distribute, and sell this
.\" documentation for any purpose is hereby granted without fee,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.  Digital Equipment Corporation
.\" makes no representations about the suitability for any purpose
.\" of the information in this document.  This documentation is
.\" provided ``as is'' without express or implied warranty.
.\"
.\" Copyright 1999, 2005 Sun Microsystems, Inc.  All Rights Reserved
.\" 
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute,
.\" sublicense, and/or sell copies of the Software, and to permit persons
.\" to whom the Software is furnished to do so, subject to the following
.\" conditions:
.\"
.\" The above copyright notice and this permission notice shall be
.\" included in all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
.\" EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
.\" DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
.\" OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR
.\" THE USE OR OTHER DEALINGS IN THE SOFTWARE.
.\"
.\" Except as contained in this notice, the names of the copyright holders
.\" shall not be used in advertising or otherwise to promote the sale, use
.\" or other dealings in this Software without prior written authorization
.\" from said copyright holders.
.\"
.\" X Window System is a trademark of The Open Group.
.\" 
.TH DPMSForceLevel __libmansuffix__ __xorgversion__ "X FUNCTIONS"
.SH NAME
DPMSForceLevel \- forces a DPMS capable display into the
specified power level
.SH SYNOPSIS
.PP
.nf
\fBcc\fR [ \fIflag\fR \&.\&.\&. ] \fIfile\fR \&.\&.\&. -\fBlXext\fR [ \fIlibrary\fR \&.\&.\&. ]
\&#include <X11/extensions/dpms.h>
.HP
.BR "Status DPMSForceLevel" " ( Display \fI*display\fP\^, CARD16 \fIlevel\fP\^ );"
.if n .ti +5n
.if t .ti +.5i
.SH ARGUMENTS
.TP
.I display
Specifies the connection to the X server
.TP
.I level
Specifies the level to force power to
.SH DESCRIPTION
.LP
The 
.I DPMSForceLevel 
function forces a DPMS capable display into the specified power level.  The 
\fIlevel\fP must be one of following four states: DPMSModeOn, DPMSModeStandby, 
DPMSModeSuspend, or DPMSModeOff. Values other than these will result in a 
BadValue error.  If DPMS
is disabled on the display, trying to set the power level on the display will 
result in a BadMatch 
protocol error.
.SH "RETURN VALUES"
.TP 15
TRUE
The 
.I DPMSForceLevel 
function always returns TRUE.
.SH ERRORS
.TP 15
BadValue
A level other than DPMSModeOn, DPMSModeStandby, DPMSModeSuspend, or DPMSModeOff
was specified.
.TP 15
.SM BadMatch
DPMS is disabled on the specified display.
.SH "SEE ALSO"
.BR DPMSCapable (__libmansuffix__),
.BR DPMSInfo (__libmansuffix__),
.BR DPMSGetTimeouts (__libmansuffix__),
.BR DPMSSetTimeouts (__libmansuffix__)
