.\" $XdotOrg: $
.\" 
.\" Copyright \(co Digital Equipment Corporation, 1996
.\" 
.\" Permission to use, copy, modify, distribute, and sell this
.\" documentation for any purpose is hereby granted without fee,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.  Digital Equipment Corporation
.\" makes no representations about the suitability for any purpose
.\" of the information in this document.  This documentation is
.\" provided ``as is'' without express or implied warranty.
.\"
.\" Copyright 1999, 2005 Sun Microsystems, Inc.  All Rights Reserved
.\" 
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute,
.\" sublicense, and/or sell copies of the Software, and to permit persons
.\" to whom the Software is furnished to do so, subject to the following
.\" conditions:
.\"
.\" The above copyright notice and this permission notice shall be
.\" included in all copies or substantial portions of the Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
.\" EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
.\" DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
.\" OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR
.\" THE USE OR OTHER DEALINGS IN THE SOFTWARE.
.\"
.\" Except as contained in this notice, the names of the copyright holders
.\" shall not be used in advertising or otherwise to promote the sale, use
.\" or other dealings in this Software without prior written authorization
.\" from said copyright holders.
.\"
.\" X Window System is a trademark of The Open Group.
.\" 
.TH DPMSGetTimeouts __libmansuffix__ __xorgversion__ "X FUNCTIONS"
.SH NAME
DPMSGetTimeouts \- retrieves the timeout values used by the X server for DPMS 
timings
.SH SYNOPSIS
.PP
.nf
\fBcc\fR [ \fIflag\fR \&.\&.\&. ] \fIfile\fR \&.\&.\&. -\fBlXext\fR [ \fIlibrary\fR \&.\&.\&. ]
\&#include <X11/extensions/dpms.h>
.HP
.B Bool DPMSGetTimeouts
(
.br
      Display *\fIdisplay\fP\^,
.br
      CARD16 *\fIstandby\fP\^,
.br
      CARD16 *\fIsuspend\fP\^,
.br
      CARD16 *\fIoff\fP\^ 
);
.if n .ti +5n
.if t .ti +.5i
.SH ARGUMENTS
.TP
.I display
Specifies the connection to the X server
.TP
.I standby
Specifies the current standby timeout in seconds
.TP
.I suspend
Specifies the current suspend timeout in seconds
.TP
.I off
Specifies the current off timeout in seconds
.SH DESCRIPTION
.LP
The 
.I DPMSGetTimeouts 
function retrieves the timeout values used by the X server for DPMS timings.  
.LP
The value 
.I standby 
is the amount of time of inactivity in seconds before standby mode is invoked. A 
value of zero indicates that this mode has been disabled.
.LP
The value \fIsuspend\fP is the amount of time of inactivity in seconds before 
the second level of power savings is invoked.  A value of zero indicates that 
this mode has been disabled.
.LP
The value \fIoff\fP is the amount of time of inactivity in seconds before the 
third and final level of power savings is invoked. A value of zero indicates 
that this mode has been disabled.
.SH "RETURN VALUES"
.TP 15
TRUE
The 
.I DPMSGetTimeouts 
function returns TRUE when values are returned.
.TP 15
FALSE
The 
.I DPMSGetTimeouts 
function returns FALSE when no values returned.
.SH "SEE ALSO"
.BR DPMSCapable (__libmansuffix__),
.BR DPMSInfo (__libmansuffix__),
.BR DPMSSetTimeouts (__libmansuffix__)
